module Gdas::ArtifactAnalyzers
  module RegisteredAnalyzers

    # When implementing a new artifact analyzer, add it to this list
    REGISTERED_ANALYZERS = [
      ::Gdas::ArtifactAnalyzers::Aws::AwsXformAnalyzer,
      ::Gdas::ArtifactAnalyzers::Aws::EcsXformAnalyzer,
      ::Gdas::ArtifactAnalyzers::Azure::AzureXformAnalyzer
    ]

    # Hash map of artifact name to artifact analyzer
    ARTIFACT_TO_ANALYZER = REGISTERED_ANALYZERS.each_with_object({}) do |analyzer, h|
      analyzer.supported_artifacts.each { |a| h[a] = analyzer }
    end

  end
end

