# frozen_string_literal: true

require 'gdas/assets/aws/chime_dial_in/context'

module Gdas::Assets::Aws::ChimeDialIn
  module Conferences
    class DerivedCollector < ::Gdas::Collection::AwsDerivedCollector
      include Context

      def self.asset
        'conference'
      end

      # Resource ID format: {"conferenceId":"a94b99da-ed14-48dd-a6d4-517cc8444fd2"|"billingAccount":"570271840430"}
      register_derived_collector(
        service: service,
        asset: asset,
        product_name: 'Amazon Chime Dialin',
        resource_id_pattern: /.*/,
        format: 1
      )
    end

    class DerivedProcessor < ::Gdas::Processing::Aws::AwsDerivedAssetProcessor
      register(
        source: AWS_GDAS_BILL,
        service: DerivedCollector.service,
        asset: DerivedCollector.asset,
        format: 1
      )

      model ::AwsChimeDialInConference
    end
  end
end

# :nocov: Development only
if ImportRegistry.resolve('runtime').sandbox?
  def process_chime_dial_in_conferences(context)
    process_payload Gdas::Assets::Aws::ChimeDialIn::Conferences::DerivedProcessor.new, context
  end
end
# :nocov:
