# frozen_string_literal: true

require 'gdas/assets/aws/direct_connect/context'

module Gdas::Assets::Aws::DirectConnect
  module Connections
    class DerivedCollector < ::Gdas::Collection::AwsDerivedCollector
      include Context

      def self.asset
        'connection'
      end

      # Resource ID format: dxcon-fg3g8o01
      register_derived_collector(
        service: service,
        asset: asset,
        resource_id_pattern: /dxcon-(.*)/,
        product_name: 'AWS Direct Connect',        format: 1
      )
    end

    class DerivedProcessor < ::Gdas::Processing::Aws::AwsDerivedAssetProcessor
      register(
        source: AWS_GDAS_BILL,
        service: DerivedCollector.service,
        asset: DerivedCollector.asset,
        format: 1
      )

      model ::AwsDirectConnectConnection
    end
  end
end

# :nocov: Development only
if ImportRegistry.resolve('runtime').sandbox?
  def process_direct_connect_connections(context)
    process_payload Gdas::Assets::Aws::DirectConnect::Connections::DerivedProcessor.new, context
  end
end
# :nocov:
