# frozen_string_literal: true

require 'gdas/assets/aws/iot_device_defender/context'

module Gdas::Assets::Aws::IotDeviceDefender
  module Devices
    class DerivedCollector < ::Gdas::Collection::AwsDerivedCollector
      include Context

      def self.asset
        'device'
      end

      # Resource ID format: USE1_01234abcd_2018_10
      register_derived_collector(
        service: service,
        asset: asset,
        product_name: 'AWS IoT Device Defender',
        resource_id_pattern: /[A-Z0-9]{4}_.*?_[0-9]{4}_[0-9]{2}/,
        format: 1
      )
    end

    class DerivedProcessor < ::Gdas::Processing::Aws::AwsDerivedAssetProcessor
      register(
        source: AWS_GDAS_BILL,
        service: DerivedCollector.service,
        asset: DerivedCollector.asset,
        format: 1
      )

      model ::AwsIotDeviceDefenderDevice
    end
  end
end

# :nocov: Development only
if ImportRegistry.resolve('runtime').sandbox?
  def process_iot_device_defender_devices(context)
    process_payload Gdas::Assets::Aws::IotDeviceDefender::Devices::DerivedProcessor.new, context
  end
end
# :nocov:
