# frozen_string_literal: true

require 'gdas/assets/aws/s3/context'

module Gdas::Assets::Aws::S3
  module Buckets
    class DerivedCollector < ::Gdas::Collection::AwsDerivedCollector
      include Context

      def self.asset
        'bucket'
      end

      # Resource ID format: qa-cur-bills-super
      register_derived_collector(
        service: service,
        asset: asset,
        product_name: 'Amazon Simple Storage Service',
        resource_id_pattern: /(.*)/,
        format: 1
      )
    end

    class DerivedLifetimeProcessor < ::Gdas::Processing::Aws::AwsLifetimeProcessor
      register(
        source: AWS_GDAS_BILL,
        service: DerivedCollector.service,
        asset: DerivedCollector.asset,
        format: 1
      )

      asset_identifiers(
        :bucket_name
      )

      class << self
        def primary_identifier
          :bucket_name
        end
      end


      def get_identifier(resource_id)
        resource_id
      end

      model ::AwsS3Bucket
    end
  end
end
