# frozen_string_literal: true
require 'singleton'

module Gdas
  module Assets
    module GenericDerivedAssetScanner
      class Registry
        # Track the supported assets to be collected by the generic derived asset scanner.
        # See +Gdas::Collection::DerivedCollector+ for more information.

        include ::Singleton

        def initialize
          @registered_models = ::Concurrent::Hash.new
        end

        # Expose the needed functions of the underlying hash.
        delegate(
          :keys, :[], :[]=, :each_key, :key?, :each, :values,
          to: :@registered_models
        )
      end
    end
  end
end
