module Gdas::Clouds
  class CloudConfig

    class << self
      def cloud_config(cloud_name)
        cloud_mapping = {
          Gdas::Clouds::AwsCloudConfig::CLOUD_NAME => Gdas::Clouds::AwsCloudConfig,
          Gdas::Clouds::AzureCloudConfig::CLOUD_NAME => Gdas::Clouds::AzureCloudConfig
        }
        config = cloud_mapping[cloud_name]
        raise "Missing cloud config for: #{cloud_name}" if config.nil?
        config
      end

      def account_id_lookup_func
        raise NotImplementedError
      end
    end

  end
end
