module Gdas::Collection
  class Executor < ::CloudHealth::Collection::Collector

    REGIONS ||= %w(
      us-east-1
      us-east-2
      us-west-1
      us-west-2
      us-gov-west-1
      us-gov-east-1
      eu-central-1
      eu-west-1
      eu-west-2
      eu-west-3
      eu-north-1
      sa-east-1
      ap-northeast-1
      ap-northeast-2
      ap-northeast-3
      ap-southeast-1
      ap-southeast-2
      ap-south-1
      ca-central-1
      af-south-1
      ap-east-1
      eu-south-1
      me-south-1
    ).freeze

    # Data source values for processor registrations.
    AWS_GDAS_BILL = 'aws-gdas-bill'.freeze
    AZURE_GDAS_BILL = 'azure-gdas-bill'.freeze

    CLOUD_TO_DATA_SOURCE = {
      ::Gdas::Clouds::AwsCloudConfig::CLOUD_NAME => AWS_GDAS_BILL,
      ::Gdas::Clouds::AzureCloudConfig::CLOUD_NAME => AZURE_GDAS_BILL
    }.freeze

    def data_source_by_cloud(cloud)
      CLOUD_TO_DATA_SOURCE[cloud]
    end

    def validate_collection_results!(results)
      nil # GDAS does not support account validation
    end
  end
end
