module Gdas::Processing
  module EmojiHelper

    # http://stackoverflow.com/questions/16487697/how-to-remove-4-byte-utf-8-characters-in-ruby
    # Removing emoji characters

    def remove_emojis_from_tags(customer, account, tags, asset_type)
      # HACK: This is a temporary hack to allow processing for this customer until we support utf8mb4 in mysql
      #       https://trello.com/c/wod3Qx0F/11409
      #       https://trello.com/c/Jr5M5lOQ
      #       https://cloudhealthtech.atlassian.net/browse/ENG-1492
      #       https://cloudhealthtech.atlassian.net/browse/ENG-1869
      #
      return unless tags
      if asset_type == :vpc
        return unless (customer.id == 823  && account.id == 343597387445)
      elsif asset_type == :volume
        return unless (customer.id == 1764 && account.id == 1721)
      elsif asset_type == :instance
        return unless (customer.id == 933  && account.id == 412316860553) ||
            (customer.id == 172  && account.id == 206158430492) ||
            (customer.id == 172  && account.id == 449) ||
            (customer.id == 823  && account.id == 343597387445) ||
            (customer.id == 3944 && account.id == 1099511627781)
      else
        return
      end
      remove_emojis_from_hash(tags)
    end

    def remove_emojis_from_hash(items)
      return if items.blank?
      items.each_pair do |k, v|
        items[k] = remove_emoji_characters(v)
      end
    end

    def remove_emoji_characters(item)
      return item if item.blank?
      item.each_char.select { |c| c.bytes.count < 4 }.join('')
    end
  end
end
