module Gdas::Processing
  module Tags
    extend ::ActiveSupport::Concern

    included do
      def update_tags(asset, tags, update_name: true, default_name: nil, is_terminated: false)
        raise 'Tag cache has not been initialized' if @tag_cache.nil?
        ::CloudHealth::Processing::Actions::UpdateAssetTags.call asset: asset,
                                                                 tags: tags,
                                                                 update_name: update_name,
                                                                 default_name: default_name,
                                                                 is_terminated: is_terminated,
                                                                 tag_cache: @tag_cache,
                                                                 customer: @customer
      end
    end
  end
end
