# frozen_string_literal: true

module Gdas
  module Scheduler
    class JobTokenCleanupScheduler < ::CloudHealth::JobManagement::Scheduling::JobTokenCleanupScheduler
      # Run every 10 min, expire tokens more than 30 minutes old
      RUN_FREQUENCY_MINUTES=10
      TOKEN_EXPIRATION_MINUTES=30

      register(RUN_FREQUENCY_MINUTES,
               TOKEN_EXPIRATION_MINUTES,
               Gdas::JobMgmt::TokenLock.supported_owners,
               ImportRegistry.resolve('cache.redis_job_tokens'),
               ImportRegistry.resolve('job_token_mgr'),
               ImportRegistry.resolve('logger'),
               ImportRegistry.resolve('statsd'))
    end
  end
end
