require_relative 'aws_asset_base'
class AwsAlexaForBusinessDevice < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_alexa_for_business_devices_aws_tags

  feed_service 'alexa_for_business'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_ALEXA_FOR_BUSINESS_DEVICE
    end
  end

  def classic_name
    "Amazon Alexa for Business Device #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:alexa_for_business_device',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "alexaForBusinessDeviceResourceId/#{resource_id}"
    ].join(':')
  end
end
