require_relative 'aws_asset_base'
class AwsAppStreamFleet < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_app_stream_fleets_aws_tags

  feed_service 'app_stream'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_APP_STREAM_FLEET
    end
  end

  def classic_name
    "Amazon AppStream Fleet #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:app_stream_fleet',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "appStreamFleetResourceId/#{resource_id}"
    ].join(':')
  end
end
