require_relative 'aws_asset_base'
class AwsAuroraCluster < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_aurora_clusters_aws_tags

  feed_service 'aurora'

  class << self
    def model_type_id
      ModelType::AWS_AURORA_CLUSTER
    end
  end

  def classic_name
    "Amazon Aurora Cluster #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:aurora_cluster',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "auroraClusterResourceId/#{resource_id}"
    ].join(':')
  end
end
