require_relative 'aws_asset_base'
class AwsCacheCluster < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  belongs_to :aws_availability_zone
  has_and_belongs_to_many :aws_tags, join_table: :aws_cache_clusters_aws_tags
  has_and_belongs_to_many :aws_security_groups, join_table: :aws_cache_clusters_aws_security_groups


  class << self
    def model_type_id
      ModelType::AWS_CACHE_CLUSTER
    end
  end

  def classic_name
    "Amazon Elasticache cluster #{name}"
  end

  def crn
    [
      'crn:aws:elasticache',
      customer_id,
      aws_account_id,
      id,
      create_time.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name, # we do this so that it doesn't hit the db
      "cluster/#{name}"
    ].join(':')
  end
end
