require_relative 'aws_asset_base'
class AwsChimeDialInConference < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_chime_dial_in_conferences_aws_tags

  feed_service 'chime_dial_in'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_CHIME_DIAL_IN_CONFERENCE
    end
  end

  def classic_name
    "Amazon Chime Dial-In Conference #{resource_id}"
  end


  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:chime_dial_in_conference',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "chimeDialInConferenceResourceId/#{resource_id}"
    ].join(':')
  end
end
