require_relative 'aws_asset_base'
class AwsCloudwatchLogGroup < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :aws_account
  belongs_to :customer
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_cloudwatch_log_groups_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_CLOUDWATCH_LOG_GROUP
    end
  end

  def classic_name
    "CloudWatch Log Group #{log_group_name}"
  end

  def crn
    [
      'crn:aws:sns',
      customer_id,
      aws_account_id,
      id,
      creation_time.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name, # avoid db access
      "subscription/#{log_group_name}"
    ].join(':')
  end
end
