require_relative 'aws_asset_base'
class AwsCostManagementSavingsPlan < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_cost_management_savings_plans_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_COST_MANAGEMENT_SAVINGS_PLAN
    end
  end

  def classic_name
    "Amazon Cost Management Savings Plan #{savings_plan_id}"
  end

  def crn
    [
      'crn:aws:savings_plan',
      customer_id,
      aws_account_id,
      id,
      start_date.to_i,
      aws_region_id.blank? ? nil : ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "costManagementSavingsPlan/#{savings_plan_id}"
    ].join(':')
  end
end
