require_relative 'aws_asset_base'
class AwsDedicatedHost < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  attr_accessor :created_by_principal_id, :deleted_by_principal_id
  belongs_to :aws_account
  belongs_to :customer
  belongs_to :aws_availability_zone
  belongs_to :aws_instance_type
  belongs_to :aws_ec2_pricing
  has_many :aws_instances
  has_and_belongs_to_many :aws_tags, join_table: :aws_dedicated_hosts_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_DEDICATED_HOST
    end
  end

  def classic_name
    "Amazon Dedicated Host #{host_id}"
  end

  def crn
    [
      'crn:aws:ec2',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').zone_id_to_region(aws_availability_zone_id).name,
      "dedicated_host/#{host_id}"
    ].join(':')
  end
end
