require_relative 'aws_asset_base'
class AwsDirectConnectConnection < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_direct_connect_connections_aws_tags

  feed_service 'direct_connect'

  class << self
    def model_type_id
      ModelType::AWS_DIRECT_CONNECT_CONNECTION
    end
  end

  def classic_name
    "Amazon Direct Connect Connection #{resource_id}"
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:direct_connect_connection',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "directConnectConnectionResourceId/#{resource_id}"
    ].join(':')
  end
end
