require_relative 'aws_asset_base'
class AwsDirectoryServiceDirectory < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_directory_service_directories_aws_tags

  feed_service 'directory_service'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_DIRECTORY_SERVICE_DIRECTORY
    end
  end

  def classic_name
    "Amazon Directory Service Directory #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:directory_service_directory',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "directoryServiceDirectoryResourceId/#{resource_id}"
    ].join(':')
  end
end
