require_relative 'aws_asset_base'
class AwsDmsReplicationInstance < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  belongs_to :aws_vpc
  belongs_to :aws_availability_zone
  belongs_to :secondary_availability_zone, :class_name => "AwsAvailabilityZone"
  has_and_belongs_to_many :aws_tags, join_table: :aws_dms_replication_instances_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_DMS_REPLICATION_INSTANCE
    end
  end

  def classic_name
    "Amazon DMS Replication Instance #{replication_instance_identifier}"
  end

  def crn
    [
      'crn:aws:dms',
      customer_id,
      aws_account_id,
      id,
      instance_create_time.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "dmsReplicationInstance/#{replication_instance_identifier}"
    ].join(':')
  end
end
