require_relative 'aws_asset_base'
class AwsDynamoDbBackup < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_dynamo_db_backups_aws_tags

  feed_service 'dynamo_db'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_DYNAMO_DB_BACKUP
    end
  end

  def classic_name
    "Amazon DynamoDB Backup #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:dynamo_db_backup',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "dynamoDbBackupResourceId/#{resource_id}"
    ].join(':')
  end
end
