require_relative 'aws_asset_base'
class AwsDynamoDbTable < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_dynamo_db_tables_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_DYNAMO_DB_TABLE
    end
  end

  def classic_name
    "Amazon DynamoDB Table #{table_name}"
  end

  def crn
    [
      'crn:aws:dynamodb',
      customer_id,
      aws_account_id,
      id,
      create_time.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name, # we do this so that it doesn't hit the db
      "table/#{table_name}"
    ].join(':')
  end
end
