require_relative 'aws_asset_base'
class AwsEc2CapacityReservation < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_ec2_capacity_reservations_aws_tags

  feed_service 'ec2'

  class << self
    def model_type_id
      ModelType::AWS_EC2_CAPACITY_RESERVATION
    end
  end

  def classic_name
    "Amazon EC2 Capacity Reservation #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:ec2_capacity_reservation',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "ec2CapacityReservationResourceId/#{resource_id}"
    ].join(':')
  end
end
