require_relative 'aws_asset_base'
class AwsEcrRepository < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_ecr_repositories_aws_tags

  feed_service 'ecr'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_ECR_REPOSITORY
    end
  end

  def classic_name
    "Amazon ECR Repository #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:ecr_repository',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "ecrRepositoryResourceId/#{resource_id}"
    ].join(':')
  end
end
