require_relative 'aws_asset_base'
class AwsEcsFargateTask < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_ecs_fargate_tasks_aws_tags

  feed_service 'ecs'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_ECS_FARGATE_TASK
    end
  end

  def classic_name
    "Amazon ECS Fargate Task #{synthetic_id}"
  end

  def arn
    synthetic_id
  end

  def feed_data
    {
      synthetic_id: synthetic_id
    }
  end

  def crn
    [
      'crn:aws:ecs_fargate_task',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "ecsFargateTaskResourceId/#{synthetic_id}"
    ].join(':')
  end
end
