require_relative 'aws_asset_base'
class AwsEksCluster < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_eks_clusters_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_EKS_CLUSTER
    end
  end

  def classic_name
    "Amazon EKS Cluster #{resource_id}"
  end

  def arn
    resource_id
  end

  def crn
    [
      'crn:aws:eks_cluster',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "eksClusterResourceId/#{resource_id}"
    ].join(':')
  end
end
