require_relative 'aws_asset_base'
class AwsElasticFileSystem < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_elastic_file_systems_aws_tags

  class << self
    def model_type_id
      ::ModelType::AWS_ELASTIC_FILE_SYSTEM
    end
  end

  def classic_name
    "Amazon Elastic File System #{name}"
  end

  def crn
    [
      'crn:aws:ec2',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "elastic_file_system/#{name}"
    ].join(':')
  end
end
