require_relative 'aws_asset_base'
class AwsElasticsearchDomain < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_one    :aws_elasticsearch_instance
  has_one    :aws_elasticsearch_volume
  has_and_belongs_to_many :aws_tags, join_table: :aws_es_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_ELASTICSEARCH_DOMAIN
    end
  end

  def classic_name
    "Amazon Elasticsearch Domain #{domain_id}"
  end

  def crn
    [
      'crn:aws:elasticsearch',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name, # we do this so that it doesn't hit the db
      "domain/#{domain_id}"
    ].join(':')
  end
end
