require_relative 'aws_asset_base'
class AwsElementalMediaConnectOutput < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_elemental_media_connect_outputs_aws_tags

  feed_service 'elemental_media_connect'

  class << self
    def model_type_id
      ModelType::AWS_ELEMENTAL_MEDIA_CONNECT_OUTPUT
    end
  end

  def classic_name
    "Amazon Elemental MediaConnect Output #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:elemental_media_connect_output',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "elementalMediaConnectOutputResourceId/#{resource_id}"
    ].join(':')
  end
end
