require_relative 'aws_asset_base'
class AwsElementalMediaStoreContainer < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_elemental_media_store_containers_aws_tags

  feed_service 'elemental_media_store'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_ELEMENTAL_MEDIA_STORE_CONTAINER
    end
  end

  def classic_name
    "Amazon Elemental MediaStore Container #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:elemental_media_store_container',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "elementalMediaStoreContainerResourceId/#{resource_id}"
    ].join(':')
  end
end
