require_relative 'aws_asset_base'
class AwsEmrCluster < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_availability_zone
  belongs_to :aws_region
  belongs_to :aws_vpc_subnet
  has_and_belongs_to_many :aws_tags, join_table: :aws_emr_clusters_aws_tags
  has_many :aws_emr_cluster_instance_groups
  has_many :aws_emr_cluster_instances

  class << self
    def model_type_id
      ModelType::AWS_EMR_CLUSTER
    end
  end

  def classic_name
    "Amazon EMR Cluster #{cluster_id}"
  end

  def crn
    [
      'crn:aws:emr_cluster',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "emr_cluster/#{cluster_id}"
    ].join(':')
  end
end
