require_relative 'aws_asset_base'
class AwsFirewallManagerPolicy < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_firewall_manager_policies_aws_tags

  feed_service 'firewall_manager'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_FIREWALL_MANAGER_POLICY
    end
  end

  def classic_name
    "Amazon Firewall Manager Policy #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:firewall_manager_policy',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "firewallManagerPolicyResourceId/#{resource_id}"
    ].join(':')
  end
end
