require_relative 'aws_asset_base'
class AwsFsxFileSystem < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_fsx_file_systems_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_FSX_FILE_SYSTEM
    end
  end

  def classic_name
    "Amazon FSx File System #{resource_id}"
  end

  def arn
    resource_id
  end

  def crn
    [
      'crn:aws:fsx_file_system',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "fsxFileSystemResourceId/#{resource_id}"
    ].join(':')
  end
end
