require_relative 'aws_asset_base'
class AwsGlueJob < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_glue_jobs_aws_tags

  feed_service 'glue'

  class << self
    def model_type_id
      ModelType::AWS_GLUE_JOB
    end
  end

  def classic_name
    "Amazon Glue Job #{resource_id}"
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:glue_job',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "glueJobResourceId/#{resource_id}"
    ].join(':')
  end
end
