class AwsInstanceType < ActiveRecord::Base
  default_scope { where(is_current: true) }

  belongs_to :aws_region
  belongs_to :aws_instance_type_profile

  def classic_name
    "Aws Instance Type #{name}:#{api_name}"
  end

  def rds?
    service_type == 'rds'
  end

  def rds_multi_az?
    rds? && ::AwsPricing::DatabaseType.display_name_is_multi_az?(name)
  end

  # Matches `normalization_factor` in `cloudpercept/app/models/aws_instance_type.rb`
  def nf
    nf_factor = aws_instance_type_profile.nf.to_f
    if rds?
      az_factor = ::AwsPricing::DatabaseType.database_nf(name)
      nf_factor *= az_factor
    end
    nf_factor
  end
end
