require 'cht-amazon-pricing/definitions/instance-type'
require 'cht-amazon-pricing/helpers/instance-type'

class AwsInstanceTypeProfile < ActiveRecord::Base
  has_many :aws_instance_types

  def classic_name
    "Aws Instance Type Profile #{api_name}"
  end

  class << self
    # pull in functions from the amazon-pricing gem
    include ::AwsPricing::Helper::InstanceType
  end

  # This is a slightly different version of normalization_factor - and I
  # believe the right implementation. However, since the RI processing code
  # treat t1.micro as having nf of 1, we are returning 1 here too to keep
  # t1.micro's RI cost correct
  def nf
    return 1 if api_name == 't1.micro' # This only applies to EC2. RDS will still be 0.5
    ::AwsPricing::Helper::InstanceType.api_name_to_nf api_name
  end

  def disk_bytes_per_sec_capacity
    ::AwsPricing::InstanceType::disk_bytes_per_sec_capacity(self.api_name)
  end

  def disk_ops_per_sec_capacity
    ::AwsPricing::InstanceType::disk_ops_per_sec_capacity(self.api_name)
  end

end
