require_relative 'aws_asset_base'
class AwsIot1ClickDevice < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_iot_1_click_devices_aws_tags

  feed_service 'iot_1_click'
  self.table_name = 'aws_iot_1_click_devices'
  # aws_asset_generator - This block will be uncommented
  # when 'generate_asset_level_15_ga_launch' task is run
  #aag class << self
  #aag   def model_type_id
  #aag     ModelType::AWS_IOT_1_CLICK_DEVICE
  #aag   end
  #aag end

  def classic_name
    "Amazon IoT 1 Click Device #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:iot_1_click_device',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "iot1ClickDeviceResourceId/#{resource_id}"
    ].join(':')
  end
end
