require_relative 'aws_asset_base'
class AwsIotAnalyticsPipeline < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_iot_analytics_pipelines_aws_tags

  feed_service 'iot_analytics'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_IOT_ANALYTICS_PIPELINE
    end
  end

  def classic_name
    "Amazon IoT Analytics Pipeline #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:iot_analytics_pipeline',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "iotAnalyticsPipelineResourceId/#{resource_id}"
    ].join(':')
  end
end
