require_relative 'aws_asset_base'
class AwsIotDeviceDefenderDevice < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_iot_device_defender_devices_aws_tags

  feed_service 'iot_device_defender'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_IOT_DEVICE_DEFENDER_DEVICE
    end
  end

  def classic_name
    "Amazon IoT Device Defender Device #{resource_id}"
  end


  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:iot_device_defender_device',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "iotDeviceDefenderDeviceResourceId/#{resource_id}"
    ].join(':')
  end
end
