require_relative 'aws_asset_base'
class AwsKinesisFirehose < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_kinesis_firehoses_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_KINESIS_FIREHOSE
    end
  end

  def classic_name
    "Amazon Kinesis Firehose #{delivery_stream_name}"
  end

  def crn
    [
      'crn:aws:kinesis_firehose',
      customer_id,
      aws_account_id,
      id,
      create_timestamp.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "kinesisFirehoseName/#{delivery_stream_name}"
    ].join(':')
  end
end
