require_relative 'aws_asset_base'
class AwsKinesisStream < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_kinesis_streams_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_KINESIS_STREAM
    end
  end

  def classic_name
    "Amazon Kinesis Stream #{name}"
  end

  def crn
    [
      'crn:aws:kinesis',
      customer_id,
      aws_account_id,
      id,
      creation_timestamp.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name, # avoid db access
      "stream/#{name}"
    ].join(':')
  end
end
