require_relative 'aws_asset_base'
class AwsKmsCmk < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :aws_region
  belongs_to :aws_account
  belongs_to :customer
  has_and_belongs_to_many :aws_tags, join_table: :aws_kms_cmks_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_KMS_CMK
    end
  end

  def classic_name
    "Amazon Key Management Service Customer Master Key #{key_id}"
  end

  def crn
    [
      'crn:aws:kms',
      customer_id,
      aws_account_id,
      key_id,
      creation_date.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "kmscmk/#{key_id}"
    ].join(':')
  end
end
