require_relative 'aws_asset_base'
class AwsLambdaFunction < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_lambda_functions_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_LAMBDA_FUNCTION
    end
  end

  def classic_name
    "Amazon Lambda Function #{function_name}"
  end

  def crn
    [
      'crn:aws:lambda',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "function/#{function_name}"
    ].join(':')
  end
end
