require_relative 'aws_asset_base'
class AwsLexBot < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_lex_bots_aws_tags

  feed_service 'lex'

  class << self
    def model_type_id
      ModelType::AWS_LEX_BOT
    end
  end

  def classic_name
    "Amazon Lex Bot #{resource_id}"
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:lex_bot',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "lexBotResourceId/#{resource_id}"
    ].join(':')
  end
end
