require_relative 'aws_asset_base'
class AwsMachineLearningMlModel < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_machine_learning_ml_models_aws_tags

  feed_service 'machine_learning'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_MACHINE_LEARNING_ML_MODEL
    end
  end

  def classic_name
    "Amazon Machine Learning ML Model #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:machine_learning_ml_model',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "machineLearningMlModelResourceId/#{resource_id}"
    ].join(':')
  end
end
