require_relative 'aws_asset_base'
class AwsNatGateway < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :aws_region
  belongs_to :aws_account
  belongs_to :customer
  belongs_to :aws_vpc
  belongs_to :aws_vpc_subnet
  belongs_to :aws_elastic_ip
  has_and_belongs_to_many :aws_tags, join_table: :aws_nat_gateways_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_NAT_GATEWAY
    end
  end

  def classic_name
    "Amazon Nat Gateway #{nat_gateway_id}"
  end

  def crn
    [
      'crn:aws:ec2',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "nat_gateway/#{nat_gateway_id}"
    ].join(':')
  end
end
