require_relative 'aws_asset_base'
class AwsRdsInstanceReservation < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :aws_region
  belongs_to :aws_account
  belongs_to :customer
  belongs_to :aws_instance_type
  has_and_belongs_to_many :aws_tags, join_table: :aws_rds_instance_reservations_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_RDS_INSTANCE_RESERVATION
    end
  end

  def classic_name
    "Amazon RDS Instance Reservation #{instance_id}"
  end

  def crn
    [
      'crn:aws:rds',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "reservedinstance/#{instance_id}"
    ].join(':')
  end
end