require_relative 'aws_asset_base'
class AwsRoute53HealthCheck < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_route53_health_checks_aws_tags

  feed_service 'route53'

  class << self
    def model_type_id
      ModelType::AWS_ROUTE53_HEALTH_CHECK
    end
  end

  def classic_name
    "Amazon Route 53 Health Check #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:route53_health_check',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "route53HealthCheckResourceId/#{resource_id}"
    ].join(':')
  end
end
