require_relative 'aws_asset_base'
class AwsRoute53HostedZone < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_route53_hosted_zones_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_ROUTE53_HOSTED_ZONE
    end
  end

  def classic_name
    "Amazon Route 53 Hosted Zone #{name}"
  end

  def crn
    [
      'crn:aws:route53',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      nil, # No region for hosted zone
      "route53_hosted_zone/#{name}"
    ].join(':')
  end
end
