require_relative 'aws_asset_base'
class AwsS3Bucket < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_s3_buckets_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_S3_BUCKET
    end
  end

  def classic_name
    "AWS S3 Bucket #{bucket_name}"
  end

  def crn
    [
      'crn:aws:s3',
      customer_id,
      aws_account_id,
      id,
      created_date.to_i,
      "bucket/#{bucket_name}"
    ].join(':')
  end
end
