require_relative 'aws_asset_base'
class AwsSageMakerEndpoint < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_sage_maker_endpoints_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_SAGEMAKER_ENDPOINT
    end
  end

  def classic_name
    "Amazon SageMaker Endpoint #{endpoint_name}"
  end

  def crn
    [
      'crn:aws:sagemaker',
      customer_id,
      aws_account_id,
      endpoint_name,
      creation_time.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "sagemakerendpoint/#{endpoint_name}"
    ].join(':')
  end
end
