require_relative 'aws_asset_base'
class AwsSagemakerNotebookInstance < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  belongs_to :aws_vpc_subnet
  has_and_belongs_to_many :aws_security_groups, join_table: :aws_sagemaker_notebook_instances_aws_security_groups
  has_and_belongs_to_many :aws_tags, join_table: :aws_sagemaker_notebook_instances_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_SAGEMAKER_NOTEBOOK_INSTANCE
    end
  end

  def classic_name
    "SageMaker Notebook Instance #{notebook_instance_name}"
  end

  def crn
    [
      'crn:aws:sagemaker',
      customer_id,
      aws_account_id,
      id,
      creation_time.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name, # avoid db access
      "notebook-instance/#{notebook_instance_name}"
    ].join(':')
  end
end
