require_relative 'aws_asset_base'
class AwsSecretsManagerSecret < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_secrets_manager_secrets_aws_tags

  feed_service 'secrets_manager'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_SECRETS_MANAGER_SECRET
    end
  end

  def classic_name
    "Amazon Secrets Manager Secret #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:secrets_manager_secret',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "secretsManagerSecretResourceId/#{resource_id}"
    ].join(':')
  end
end
