require_relative 'aws_asset_base'
class AwsSecurityLakeDataLake < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_security_lake_data_lakes_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_SECURITY_LAKE_DATA_LAKE
    end
  end

  def classic_name
    "Security Lake Data Lake #{data_lake_arn}"
  end

  def crn
    [
      'crn:aws:securitylake',
      customer_id,
      aws_account_id,
      id,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name, # avoid db access
      "data_lake/#{data_lake_arn}"
    ].join(':')
  end
end

