require_relative 'aws_asset_base'
class AwsSimpleEmailServiceDedicatedIp < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_simple_email_service_dedicated_ips_aws_tags

  feed_service 'simple_email_service'

  class << self
    def model_type_id
      ModelType::AWS_SIMPLE_EMAIL_SERVICE_DEDICATED_IP
    end
  end

  def classic_name
    "Amazon Simple Email Service Dedicated IP #{resource_id}"
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:simple_email_service_dedicated_ip',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "simpleEmailServiceDedicatedIpResourceId/#{resource_id}"
    ].join(':')
  end
end
