require_relative 'aws_asset_base'
class AwsSnapshot < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  belongs_to :aws_volume
  has_and_belongs_to_many :aws_tags, join_table: :aws_snapshots_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_SNAPSHOT
    end
  end

  def classic_name
    "Amazon snapshot #{snapshot_id}"
  end

  def crn
    [
      'crn:aws:ec2',
      customer_id,
      aws_account_id,
      id,
      create_date.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "snapshot/#{snapshot_id}"
    ].join(':')
  end
end
