require_relative 'aws_asset_base'
class AwsSnsTopic < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :aws_account
  belongs_to :customer
  belongs_to :aws_region
  has_and_belongs_to_many :aws_cloudwatch_alarms, join_table: :aws_cloudwatch_alarms_aws_sns_topics

  class << self
    def model_type_id
      ModelType::AWS_SNS_TOPIC
    end
  end

  def classic_name
    "SNS Topic #{topic_arn}"
  end

  def crn
    [
      'crn:aws:sns',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name, # avoid db access
      "topic/#{topic_name}"
    ].join(':')
  end
end
