require_relative 'aws_asset_base'
class AwsSqsQueue < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_sqs_queues_aws_tags

  before_save :set_updated_at_date

  feed_service 'sqs'

  class << self
    def model_type_id
      ModelType::AWS_SQS_QUEUE
    end
  end

  def classic_name
    "Amazon SQS Queue #{resource_id}"
  end

  def arn
    resource_id # Not true for all generic derived assets.
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:sqs_queue',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "sqsQueueResourceId/#{resource_id}"
    ].join(':')
  end
end
