require_relative 'aws_asset_base'
class AwsStorageGatewayVolumeGateway < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_storage_gateway_volume_gateways_aws_tags

  feed_service 'storage_gateway'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_STORAGE_GATEWAY_VOLUME_GATEWAY
    end
  end

  def classic_name
    "Amazon Storage Gateway Volume Gateway #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:storage_gateway_volume_gateway',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "storageGatewayVolumeGatewayResourceId/#{resource_id}"
    ].join(':')
  end
end
