class AwsTagOverride < ActiveRecord::Base
  class << self
    def set_tag_override(customer_id, asset_type_id, asset_id, custom_tag_id, overridden_tag_id)
      override = where(customer_id: customer_id,
                        asset_type: asset_type_id,
                        asset_identifier: asset_id,
                        visible_tag: custom_tag_id).first
      if override.nil?
        override = new
        override.customer_id = customer_id
        override.asset_type = asset_type_id
        override.asset_identifier = asset_id
        override.visible_tag = custom_tag_id
      end
      override.overridden_tag = overridden_tag_id
      override.save!
      override
    end

    def clear_unnecessary_overrides(asset, customer_id, asset_type_id, original_tags)
      overrides = where(customer_id: customer_id,
                        asset_type: asset_type_id,
                        asset_identifier: asset.id)
      overrides.each do |ov|
        visible_tag = AwsTag.where(id:ov.visible_tag).first
        overridden_tag = AwsTag.where(id:ov.overridden_tag).first
        if visible_tag.nil? || overridden_tag.nil? # Example: An original Tag was deleted from CHT, but then recollected
          delete(ov)
          next
        end
        unless asset.aws_tags.include?(visible_tag)
          delete(ov)
          next
        end

        # overridden tag must be retrieved from the collection
        delete(ov) unless original_tags.include?([overridden_tag.key,overridden_tag.value])
      end
    end
  end
end
