require_relative 'aws_asset_base'
class AwsTranscribeTranscriptionJob < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_transcribe_transcription_jobs_aws_tags

  feed_service 'transcribe'
                                                        
  # aws_asset_generator - This block will be uncommented
  # when 'generate_asset_level_15_ga_launch' task is run
  #aag class << self
  #aag   def model_type_id
  #aag     ModelType::AWS_TRANSCRIBE_TRANSCRIPTION_JOB
  #aag   end
  #aag end

  def classic_name
    "Amazon Transcribe Transcription Job #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:transcribe_transcription_job',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "transcribeTranscriptionJobResourceId/#{resource_id}"
    ].join(':')
  end
end
