require_relative 'aws_asset_base'
class AwsTransferForSftpServer < AwsAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  has_and_belongs_to_many :aws_tags, join_table: :aws_transfer_for_sftp_servers_aws_tags

  feed_service 'transfer_for_sftp'
                                                        
  class << self
    def model_type_id
      ModelType::AWS_TRANSFER_FOR_SFTP_SERVER
    end
  end

  def classic_name
    "Amazon Transfer for SFTP Server #{resource_id}"
  end

  def arn
    resource_id
  end

  def feed_data
    {
      resource_id: resource_id
    }
  end

  def crn
    [
      'crn:aws:transfer_for_sftp_server',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "transferForSftpServerResourceId/#{resource_id}"
    ].join(':')
  end
end
