require_relative 'aws_asset_base'
class AwsVolume < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_instance
  belongs_to :aws_availability_zone
  has_many :aws_snapshots
  has_one :instance_file_system
  has_and_belongs_to_many :aws_tags, join_table: :aws_tags_aws_volumes

  class << self
    def model_type_id
      ModelType::AWS_VOLUME
    end
  end

  def classic_name
    "Amazon Volume #{volume_id}"
  end

  def crn
    [
      'crn:aws:ec2',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').zone_id_to_region(aws_availability_zone_id).name,
      "volume/#{volume_id}"
    ].join(':')
  end
end
