require_relative 'aws_asset_base'
class AwsWorkspace < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_region
  belongs_to :aws_vpc_subnet
  belongs_to :aws_workspace_bundle
  has_and_belongs_to_many :aws_tags, join_table: :aws_workspaces_aws_tags

  class << self
    def model_type_id
      ModelType::AWS_WORKSPACE
    end
  end

  def classic_name
    "Amazon WorkSpace #{workspace_id}"
  end

  def crn
    [
      'crn:aws:workspace',
      customer_id,
      aws_account_id,
      id,
      created_at.to_i,
      ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name,
      "workspace/#{workspace_id}"
    ].join(':')
  end
end
