require_relative 'aws_asset_base'
class CloudFrontDistribution < AwsAssetBase
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  has_many :cloud_front_origins
  has_and_belongs_to_many :aws_tags, join_table: :cloud_front_distributions_aws_tags

  class << self
    def model_type_id
      ModelType::CLOUD_FRONT_DISTRIBUTION
    end
  end

  def classic_name
    "CloudFront Distribution #{distribution_id}"
  end

  def crn
    [
      'crn:aws:cloudfront',
      customer_id,
      aws_account_id,
      id,
      nil, # No aws creation time attribute
      nil, # No region
      "distribution/#{distribution_id}"
    ].join(':')
  end
end
