
class InstanceFileSystem < ActiveRecord::Base
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :aws_account
  belongs_to :aws_instance
  belongs_to :aws_volume

  def classic_name
    "EC2 File System #{aws_instance_id}"
  end

  def oms_crn
    "crn::object-meta/com.cloudhealthtech.integrations.aws.InstanceFileSystem"
  end

  def crn
    [
        'crn:aws:cloudwatch',
        customer_id,
        aws_account_id,
        id,
        creation_time.to_i,
        ImportRegistry.resolve('cache.common_assets').region(aws_region_id).name, # avoid db access
        "ec2_file_system/#{aws_instance_id}"
    ].join(':')
  end

end
