require_relative 'azure_asset_base'

class AzureApplicationGateway < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_APPLICATION_GATEWAY
    end
  end

  def classic_name
    "Azure Application Gateway #{resource_id}"
  end

  def crn
    [
      'crn:azure:application_gateway',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "applicationGatewayResourceId/#{resource_id}"
    ].join(':')
  end
end
