# frozen_string_literal: true

require_relative '../generic_derived_asset'

class AzureAssetBase < GenericDerivedAsset
  self.abstract_class = true

  self.account_attr = :azure_subscription_id
  # Add these models when introducing full derivation support for azure. Not needed for lifetime adjustment
  # self.tag_model = ::AzureTag
  # self.tag_override_model = ::AzureTagOverride
  # self.tag_relation = "azure_tags"
  self.cloud = ::Gdas::Clouds::AzureCloudConfig::CLOUD_NAME

  def crn_region_name
    region = ImportRegistry.resolve('cache.common_assets').azure_region(azure_region_id)
    region ? region.name : 'unknown-region'
  end
end

