require_relative 'azure_asset_base'

class AzureCdnProfile < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_CDN_PROFILE
    end
  end

  def classic_name
    "Azure CDN Profile #{resource_id}"
  end

  def crn
    [
      'crn:azure:cdn_profile',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "cdnProfileResourceId/#{resource_id}"
    ].join(':')
  end
end
