require_relative 'azure_asset_base'

class AzureDocumentDb < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_DOCUMENT_DB
    end
  end

  def classic_name
    "Azure Document Db #{resource_id}"
  end

  def crn
    [
      'crn:azure:document_db',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "documentDbResourceId/#{resource_id}"
    ].join(':')
  end
end
