require_relative 'azure_asset_base'

class AzureEventHubNamespace < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_EVENT_HUB_NAMESPACE
    end
  end

  def classic_name
    "Azure Event Hub Namespace #{resource_id}"
  end

  def crn
    [
      'crn:azure:event_hub_namespace',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "eventHubNamespaceResourceId/#{resource_id}"
    ].join(':')
  end
end
