require_relative 'azure_asset_base'

class AzureExpressRouteCircuit < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_EXPRESS_ROUTE_CIRCUIT
    end
  end

  def classic_name
    "Azure Express Route Circuit #{resource_id}"
  end

  def crn
    [
      'crn:azure:express_route_circuit',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "expressRouteCircuitResourceId/#{resource_id}"
    ].join(':')
  end
end
