require_relative 'azure_asset_base'

class AzureIotHub < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_IOT_HUB
    end
  end

  def classic_name
    "Azure IOT Hub #{resource_id}"
  end

  def crn
    [
      'crn:azure:iot_hub',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "iotHubResourceId/#{resource_id}"
    ].join(':')
  end
end
