require_relative 'azure_asset_base'

class AzureIpAddress < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_IP_ADDRESS
    end
  end

  def classic_name
    "Azure IP Address #{resource_id}"
  end

  def crn
    [
      'crn:azure:ip_address',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "ipAddressResourceId/#{resource_id}"
    ].join(':')
  end
end
