require_relative 'azure_asset_base'

class AzureKeyVault < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_KEY_VAULT
    end
  end

  def classic_name
    "Azure Key Vault #{resource_id}"
  end

  def crn
    [
      'crn:azure:key_vault',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "keyVaultResourceId/#{resource_id}"
    ].join(':')
  end
end
