require_relative 'azure_asset_base'

class AzureManagedDisk < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_MANAGED_DISK
    end
  end

  def classic_name
    "Azure Compute Managed Disk #{resource_id}"
  end

  def crn
    [
      'crn:azure:compute_managed_disk',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "computeManagedDiskResourceId/#{resource_id}"
    ].join(':')
  end
end
