require_relative 'azure_asset_base'

class AzurePostgresqlServer < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_POSTGRESQL_SERVER
    end
  end

  def classic_name
    "Azure PostgreSQL Server #{resource_id}"
  end

  def crn
    [
      'crn:azure:postgresql_server',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "postgreSQLServerResourceId/#{resource_id}"
    ].join(':')
  end
end
