require_relative 'azure_asset_base'

class AzureRecoveryServicesVault < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region
  # has_and_belongs_to_many :azure_tags, join_table: :azure_vng_azure_tags

  class << self
    def model_type_id
      ModelType::AZURE_RECOVERY_SERVICES_VAULT
    end
  end

  def classic_name
    "Azure Recovery Services Vault #{resource_id}"
  end

  def crn
    [
      'crn:azure:recovery_services_vault',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "recoveryServicesVaultResourceId/#{resource_id}"
    ].join(':')
  end
end
