require_relative 'azure_asset_base'

class AzureSecurityGroup < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_VIRTUAL_NETWORK_SECURITY_GROUP
    end
  end

  def classic_name
    "Azure Virtual Network Security Group #{resource_id}"
  end

  def crn
    [
      'crn:azure:virtual_network_security_group',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "virtualNetworkSecurityGroupResourceId/#{resource_id}"
    ].join(':')
  end
end
