require_relative 'azure_asset_base'

class AzureServiceBusNamespace < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_SERVICE_BUS_NAMESPACE
    end
  end

  def classic_name
    "Azure Service Bus Namespace #{resource_id}"
  end

  def crn
    [
      'crn:azure:service_bus_namespace',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "serviceBusNamespaceResourceId/#{resource_id}"
    ].join(':')
  end
end
