require_relative 'azure_asset_base'

class AzureStorSimpleDeviceManager < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_STOR_SIMPLE_DEVICE_MANAGER
    end
  end

  def classic_name
    "Azure Storsimple Device Manager #{resource_id}"
  end

  def crn
    [
      'crn:azure:storsimple_device_manager',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "storsimpleDeviceManagerResourceId/#{resource_id}"
    ].join(':')
  end
end
