require_relative 'azure_asset_base'

class AzureVirtualNetworkGateway < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region
  # has_and_belongs_to_many :azure_tags, join_table: :azure_vng_azure_tags

  class << self
    def model_type_id
      ModelType::AZURE_VIRTUAL_NETWORK_GATEWAY
    end
  end

  def classic_name
    "Azure Virtual Network Gateway #{resource_id}"
  end

  def crn
    [
      'crn:azure:virtual_network_gateway',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "virtualNetworkGatewayResourceId/#{resource_id}"
    ].join(':')
  end
end
