require_relative 'azure_asset_base'

class AzureVm < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_VM
    end
  end

  def classic_name
    "Azure Compute Virtual Machine #{instance_id}"
  end

  def crn
    [
      'crn:azure:compute_virtual_machine',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "computeVirtualMachineResourceId/#{instance_id}"
    ].join(':')
  end
end
