require_relative 'azure_asset_base'

class AzureVmScaleSet < AzureAssetBase
  include ::Gdas::Helpers::ModelActivityFeed
  include ::Gdas::Helpers::ModelDefaultScopes

  belongs_to :customer
  belongs_to :azure_subscription
  belongs_to :azure_region

  class << self
    def model_type_id
      ModelType::AZURE_VM_SCALE_SET
    end
  end

  def classic_name
    "Azure Compute VM Scale Set #{resource_id}"
  end

  def crn
    [
      'crn:azure:compute_vm_scale_set',
      customer_id,
      azure_subscription_id,
      id,
      created_at.to_i,
      crn_region_name,
      "computeVmScaleSetResourceId/#{resource_id}"
    ].join(':')
  end
end
